{
  "_from": "resolve@^1.10.0",
  "_id": "resolve@1.20.0",
  "_inBundle": false,
  "_integrity": "sha512-wENBPt4ySzg4ybFQW2TT1zMQucPK95HSh/nq2CFTZVOGut2+pQvSsgtda4d26YrYcr067wjbmzOG8byDPBX63A==",
  "_location": "/resolve",
  "_phantomChildren": {},
  "_requested": {
    "type": "range",
    "registry": true,
    "raw": "resolve@^1.10.0",
    "name": "resolve",
    "escapedName": "resolve",
    "rawSpec": "^1.10.0",
    "saveSpec": null,
    "fetchSpec": "^1.10.0"
  },
  "_requiredBy": [
    "/@babel/helper-define-polyfill-provider",
    "/@mdx-js/mdx/@babel/core",
    "/@platform/tools/@babel/core",
    "/babel-plugin-macros",
    "/eslint-import-resolver-node",
    "/eslint-plugin-import",
    "/eslint-plugin-import/normalize-package-data",
    "/jest-resolve",
    "/node-sass/normalize-package-data",
    "/read-pkg/normalize-package-data",
    "/rechoir",
    "/remark-mdx/@babel/core",
    "/sass-graph/normalize-package-data",
    "/stylelint-config-rational-order/normalize-package-data",
    "/stylelint-declaration-use-variable/normalize-package-data"
  ],
  "_resolved": "https://nexus.boos.solutions/repository/gpb-npm/resolve/-/resolve-1.20.0.tgz",
  "_shasum": "629a013fb3f70755d6f0b7935cc1c2c5378b1975",
  "_spec": "resolve@^1.10.0",
  "_where": "/root/farzoom/eco-ebg/node_modules/read-pkg/node_modules/normalize-package-data",
  "author": {
    "name": "James Halliday",
    "email": "mail@substack.net",
    "url": "http://substack.net"
  },
  "bugs": {
    "url": "https://github.com/browserify/resolve/issues"
  },
  "bundleDependencies": false,
  "dependencies": {
    "is-core-module": "^2.2.0",
    "path-parse": "^1.0.6"
  },
  "deprecated": false,
  "description": "resolve like require.resolve() on behalf of files asynchronously and synchronously",
  "devDependencies": {
    "@ljharb/eslint-config": "^17.5.1",
    "array.prototype.map": "^1.0.3",
    "aud": "^1.1.4",
    "eclint": "^2.8.1",
    "eslint": "^7.19.0",
    "object-keys": "^1.1.1",
    "safe-publish-latest": "^1.1.4",
    "tap": "0.4.13",
    "tape": "^5.1.1"
  },
  "funding": {
    "url": "https://github.com/sponsors/ljharb"
  },
  "homepage": "https://github.com/browserify/resolve#readme",
  "keywords": [
    "resolve",
    "require",
    "node",
    "module"
  ],
  "license": "MIT",
  "main": "index.js",
  "name": "resolve",
  "repository": {
    "type": "git",
    "url": "git://github.com/browserify/resolve.git"
  },
  "scripts": {
    "lint": "eslint --ext=js,mjs .",
    "posttest": "npm run test:multirepo && aud --production",
    "prelint": "eclint check '**/*'",
    "prepublish": "safe-publish-latest && cp node_modules/is-core-module/core.json ./lib/ ||:",
    "pretest": "npm run lint",
    "pretests-only": "cd ./test/resolver/nested_symlinks && node mylib/sync && node mylib/async",
    "test": "npm run --silent tests-only",
    "test:multirepo": "cd ./test/resolver/multirepo && npm install && npm test",
    "tests-only": "tape test/*.js"
  },
  "version": "1.20.0"
}
